org.eclipse.rdf4j.repository.http

## Class HTTPQueryEvaluationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.eclipse.rdf4j.OpenRDFException
        - - org.eclipse.rdf4j.RDF4JException
          - - org.eclipse.rdf4j.query.QueryEvaluationException
            - - org.eclipse.rdf4j.repository.http.HTTPQueryEvaluationException

- All Implemented Interfaces:
    Serializable

      public class HTTPQueryEvaluationException
      extends QueryEvaluationException

  Author:
    Herko ter Horst
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HTTPQueryEvaluationException(String msg)`
    `HTTPQueryEvaluationException(String msg, Throwable cause)`
    `HTTPQueryEvaluationException(Throwable cause)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `IOException` | `getCauseAsIOException()`
    `MalformedQueryException` | `getCauseAsMalformedQueryException()`
    `RepositoryException` | `getCauseAsRepositoryException()`
    `boolean` | `isCausedByIOException()`
    `boolean` | `isCausedByMalformedQueryException()`
    `boolean` | `isCausedByRepositoryException()`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### HTTPQueryEvaluationException

          public HTTPQueryEvaluationException(String msg)

      Parameters:
        `msg` -

    - #### HTTPQueryEvaluationException

          public HTTPQueryEvaluationException(String msg,
                                              Throwable cause)

      Parameters:
        `msg` -
        `cause` -

    - #### HTTPQueryEvaluationException

          public HTTPQueryEvaluationException(Throwable cause)

      Parameters:
        `cause` -

  - ### Method Detail

    - #### isCausedByIOException

          public boolean isCausedByIOException()

    - #### isCausedByRepositoryException

          public boolean isCausedByRepositoryException()

    - #### isCausedByMalformedQueryException

          public boolean isCausedByMalformedQueryException()

    - #### getCauseAsIOException

          public IOException getCauseAsIOException()

    - #### getCauseAsRepositoryException

          public RepositoryException getCauseAsRepositoryException()

    - #### getCauseAsMalformedQueryException

          public MalformedQueryException getCauseAsMalformedQueryException()

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.